Error de instalación en XCode 4

Problemas con XCode 4: la instalación no finaliza y no soporta proyectos AppleScript o archivos Nib con plugins

Apple ha lanzado la nueva versión de la herramienta de desarrollo XCode, se trata de la versión 4. Hay 2 formas de conseguirla:

  • comprándola desde la Mac App Store (unos 4 EUR)
  • desde la página de ADC (Apple Developer Connection) pero no basta con estar registrado sino que además hay que ser miembro de pago de alguno de los programas de desarrollo de Mac o de IOs.

1. Error: la instalación no finaliza

Al descargar XCode 4 se obtiene una aplicación llamada Install XCode localizada en /Applications. Algunos usuarios se han encontrado con el problema de que la instalación parece no finalizar, llega a un punto cercano al 100% y ahí se mantiene a lo largo de horas sin dar la impresión de que el sistema esté trabajando.

Parece un fallo del programa de instalación que se puede solventar (al menos hasta que Apple repare el error) mostrando el contenido del paquete Install XCode e instalando la aplicación desde el paquete del instalador clasico llamado “XCode and IOs SDK.mpkg”.

2. Soporte de proyectos AppleScript

Igual que pasó con la versión 3.2 (ver artículo) XCode 4 no soporta proyectos AppleScript y si se abre un proyecto anterior de este tipo se puede perder esa funcionalidad. Como el programa de instalación de XCode 4 mueve toda la instalación anterior de XCode 3 a una carpeta llamada /Developer-old, los proyectos existentes se pueden abrir desde XCode 3 y seguir trabajando en ellos.

3. Edición de archivos NIB o XIB

InterfaceBuilder está ahora integrado en XCode 4. Al intentar abrir archivos Nib o Xib de proyectos anteriores que lleven incorporado algún control personalizado o plugin de terceros aparece el mensaje:

Unable to resolve Interface Builder plug-in dependency for “MainMenu.nib”. This document requires the com.apple.dt.IDE.IDEInterfaceBuilderCocoaIntegration Interface Builder 3 plug-in. Consider using Interface Builder 3 to edit this document.”

Por ahora no he encontrado otra solución que no sea la de abrir estos archivos de interfaz con IntefaceBuilder 3.

Nota 1: a finales de marzo de 2011 Apple ha sacado la actualización XCode 4.0.1 que entre otros problemas arregla el fallo del instalador que se detiene al llegar al 99% y no finaliza.

Nota 2: si deseas desinstalar XCode 4, la forma correcta de hacerlo es utilizar el desinstalador incluido, ejecutando desde Terminal:

sudo /Developer/Library/uninstall-devtools

y reiniciando al finalizar.